Summary: SMEserver rpm for creating squid proxy NCSA user password files
%define name dungog-proxyusers
Name: %{name}
%define version 1.3
%define release 2
Version: %{version}
Release: %{release}
Vendor: dungog.net
Copyright: dungog.net
URL: http://www.dungog.net/wiki
Distribution: SME Server
Group: SMEServer/addon
Source: %{name}-%{version}.tar.gz
Packager: Stephen Noble <stephen@dungog.net>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires: e-smith-base,
Requires: e-smith-formmagick >= 1.4.0-10
AutoReqProv: no

%description
SMEserver rpm creating squid proxy NCSA user password files

%changelog
* Thu Mar 13 2008 Stephen Noble <support@dungog.net>
- formmagick version [1.3-1]

* Wed Jan 30 2008 Stephen Noble <support@dungog.net>
- allow dans 2.9.9.2 - [1.2-6]

* Sun Sep 16 2007 Stephen Noble <support@dungog.net>
- option to hide users passwords - [1.2-5]

* Thu Feb 1 2007 Stephen Noble <support@dungog.net>
- remove deleted users - [1.2-4]

* Fri Oct 16 2006 Stephen Noble <support@dungog.net>
- allow for dans 2.9 - [1.2-3]

* Fri Oct 16 2006 Stephen Noble <support@dungog.net>
- view password file link removed
- help page and tests on save added
- [1.2-2]

* Sun Nov 6 2005 Stephen Noble <support@dungog.net>
- initial release
- [1.2-1]


%prep
%setup

%build
mkdir -p         root/etc/e-smith/db/dungog/defaults/proxyusers
echo "setting" > root/etc/e-smith/db/dungog/defaults/proxyusers/type
echo "enabled" > root/etc/e-smith/db/dungog/defaults/proxyusers/ShowPasswords

perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 /bin/touch /etc/proxyusers
 /bin/touch /home/e-smith/db/dungog
 /bin/touch /home/e-smith/db/proxyusers
fi

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
